de.esprit.appsuite.nls

## Class RawActionKey

- java.lang.Object
- - de.esprit.appsuite.nls.RawNlsKey
  - - de.esprit.appsuite.nls.RawActionKey

- All Implemented Interfaces:
    NlsActionKey, NlsKey, NlsToolTipKey, java.io.Serializable

      public class RawActionKey
      extends RawNlsKey
      implements NlsActionKey

  This class provides a way for untranslated action texts
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nls.NlsKey

      `SUB_KEY_ACTION, SUB_KEY_COLUMN, SUB_KEY_CONFIRM, SUB_KEY_CONST, SUB_KEY_DBO, SUB_KEY_DEMO, SUB_KEY_ERROR, SUB_KEY_FIELD, SUB_KEY_GUI, SUB_KEY_HELP, SUB_KEY_INFO, SUB_KEY_LABEL, SUB_KEY_MENU, SUB_KEY_MESSAGE, SUB_KEY_MISC, SUB_KEY_STATUS, SUB_KEY_TIP, SUB_KEY_TOOL, SUB_KEY_WINDOW, SUB_KEY_WORKFLOW`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RawActionKey()`
    `RawActionKey(java.lang.String text)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getButtonText()`
    `javax.swing.Icon` | `getIcon()`
    `java.awt.Image` | `getImage()`
    `java.lang.String` | `getMenuText()`

    - ### Methods inherited from class de.esprit.appsuite.nls.RawNlsKey

      `getAppKey, getSubKey, getText, getTipText, getTranslationKey, name, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.appsuite.nls.NlsToolTipKey

      `getTipText`

    - ### Methods inherited from interface de.esprit.appsuite.nls.NlsKey

      `getAppKey, getSubKey, getText, name`

- - ### Constructor Detail

    - #### RawActionKey

          public RawActionKey()

    - #### RawActionKey

          public RawActionKey(java.lang.String text)

  - ### Method Detail

    - #### getButtonText

          public java.lang.String getButtonText()

      Specified by:
        `getButtonText` in interface `NlsActionKey`

    - #### getMenuText

          public java.lang.String getMenuText()

      Specified by:
        `getMenuText` in interface `NlsActionKey`

    - #### getIcon

          public javax.swing.Icon getIcon()

    - #### getImage

          public java.awt.Image getImage()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.